<div id="images-portlet" class="m-portlet">
    <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
                <span class="m-portlet__head-icon m--hide">
                    <i class="la la-gear"></i>
                </span>
                <h3 class="m-portlet__head-text">
                    Create Product Images
                </h3>
            </div>
        </div>
    </div>

    <form class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed" @submit.prevent="">
        <div class="m-portlet__body">
            <div class="form-group m-form__group">
                <ValidationProvider rules="image" v-slot="{ errors, validate }" name="product images" ref="images">

                    <label>Supported Files: <small>.jpg, .jpeg, .png</small></label>

                    <div></div>

                    <file-component accepts="image/png,image/jpg,image/jpeg"
                                    @fileProcessed="pushToImages"
                                    @change="validate"
                                    :styles="{ 'is-invalid': errors.length > 0 }">
                    </file-component>

                    <div v-if="errors.length > 0" class="invalid-feedback" style="display: inline !important;">
                        {{ errors[0] }}
                    </div>
                </ValidationProvider>
            </div>
        </div>
    </form>

    <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
                <span class="m-portlet__head-icon m--hide">
                    <i class="la la-gear"></i>
                </span>
                <h3 class="m-portlet__head-text">
                    Selected Product Images
                </h3>
            </div>
        </div>
    </div>

    <div class="m-portlet__body">
        <div v-if="images.length < 1" class="col-lg-12">
            <p>Select image for preview</p>
        </div>

        <div v-if="images.length > 0" class="m-section">
            <div class="m-section__content">

                <div class="m-demo" data-code-preview="true" data-code-html="true" data-code-js="false">

                    <div class="m-demo__preview row scrollable">

                        <div  v-for="(image, index) in images" class="col-lg-6">

                            <ValidationProvider v-slot="{ errors, validate }" name="product image" :ref="'images.' + index + '.file'">
                                <div v-if="errors.length > 0" class="invalid-feedback" style="display: inline !important;">
                                    {{ errors[0] }}
                                </div>
                            </ValidationProvider>

                            <img :src="image.preview" width="150px" height="150px">

                            <div class="form-group m-form__group">
                                <label>Thumbnail</label>
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text">
                                            <label class="m-radio m-radio--single m-radio--state m-radio--state-primary">
                                                <input type="radio" name="main" :checked="images[index].main" @change="changeMain(index)">
                                                <span></span>
                                            </label>
                                        </span>
                                    </div>
                                    <div class="input-group-append">
                                        <button class="btn btn-danger" @click="removeImage(index)">
                                            <i class="fa fa-trash"></i>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <!--end::Preview-->
            </div>
        </div>
    </div>

</div>